=== debian/changelog ===
ros-crystal-rosbag2-converter-default-plugins (0.0.7-0bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 08 Apr 2019 07:00:00 -0000

ros-crystal-rosbag2-converter-default-plugins (0.0.6-0bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 27 Feb 2019 08:00:00 -0000

ros-crystal-rosbag2-converter-default-plugins (0.0.5-0bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 27 Dec 2018 08:00:00 -0000

ros-crystal-rosbag2-converter-default-plugins (0.0.4-0bionic) bionic; urgency=high

  * 0.0.3
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 19 Dec 2018 08:00:00 -0000

ros-crystal-rosbag2-converter-default-plugins (0.0.2-0bionic) bionic; urgency=high

  * update maintainer email
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 12 Dec 2018 08:00:00 -0000

ros-crystal-rosbag2-converter-default-plugins (0.0.1-0bionic) bionic; urgency=high

  * Split converters (#70 <https://github.com/ros2/rosbag2/issues/70>)
  * Fix master build and small renamings (#67 <https://github.com/ros2/rosbag2/issues/67>)
  * Use converters when recording a bag file (#57 <https://github.com/ros2/rosbag2/issues/57>)
  * Renaming struct members for consistency (#64 <https://github.com/ros2/rosbag2/issues/64>)
    * GH-118 Rename rosbag2_storage::TopicMetadata to TopicInformation and rosbag2_storage::TopicwithType to TopicMetadata
  * Use converters when playing back files (#56 <https://github.com/ros2/rosbag2/issues/56>)
  * Implement converter plugin for CDR format and add converter plugins package (#48 <https://github.com/ros2/rosbag2/issues/48>)
  * Contributors: Alessandro Bottero, Andreas Holzner, Martin Idel

 -- Karsten Knese <karsten.knese@googlemail.com>  Tue, 11 Dec 2018 08:00:00 -0000
