=== debian/control ===
Source: ros-crystal-rosbag2-converter-default-plugins
Section: misc
Priority: extra
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-ament-cmake-gmock, ros-crystal-ament-index-cpp, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-pluginlib, ros-crystal-poco-vendor, ros-crystal-rcutils, ros-crystal-rmw, ros-crystal-rmw-fastrtps-dynamic-cpp, ros-crystal-rosbag2, ros-crystal-rosbag2-test-common, ros-crystal-rosidl-generator-cpp, ros-crystal-test-msgs, ros-crystal-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-crystal-rosbag2-converter-default-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-ament-index-cpp, ros-crystal-pluginlib, ros-crystal-poco-vendor, ros-crystal-rcutils, ros-crystal-rmw, ros-crystal-rosbag2, ros-crystal-rosidl-generator-cpp, ros-crystal-ros-workspace
Description: Package containing default plugins for format converters
